O programie Rejestrator

 Top Next

Aplikacja Ramzes Rejestrator stworzony został z myślą o umożliwieniu rejestracji dokumentów poza programami księgowymi:

Ø Ramzes – Księgi Handlowe
Ø Ramzes – PKPiR
Ø Ramzes - Ryczałt

Korzystanie z rejestratora można podzielić na etapy:

Ø wykonanie eksportu z programu księgowego
Ø wprowadzenie danych w Rejestratorze
Ø wykonanie importu do programu księgowego
Ø ewentualna weryfikacja zaimportowanych danych.

Eksport i import dotyczą danych aktualnej firmy oraz konkretnego programu w konkretnej wersji. Oznacza to, że:

Do czasu importu wprowadzonych w rejestratorze danych nie należy modyfikować Aplikacji Ramzes do nowszej wersji.

Program Rejestrator.exe nie wymaga odrębnej licencji natomiast należy posiadać licencję rozszerzającą możliwości właściwego programu księgowego. Bez tego program umożliwia zaimportowanie jedynie dwóch dokumentów.


Wskazanie katalogu

 Top Previous Next

Uruchomienie funkcji †rejestrator dokumentów† wymaga wskazania operacji (Eksport lub import) oraz katalogu.

Wyboru operacji dokonywany jest przy użyciu przycisku [image] 8.

Wybór katalogu inicjowany jest uzyciem przycisku [image] 8 odbywa po którym dostepne są zmiany katalogów, wybór napędu oraz, jeśli trzeba, tworzenie nowego katalogu.

Można wybrać folder na innym napedzie:

Możliwe jest też utworzenei katalogu:

Wybór katalogu dokonywany jest porzez użycie klawisza [image] 8 albo przycisku [image] 8 .

Wskazany folder nie może byc pusty:


Eksport do wskazanego katalogu

Po wskazaniu katalogu można wyeksportować do niego dane i program Rejestrator.exe.

Operacja jest inicjowana użyciem przycisku [image] 8.

Do czasu importu wprowadzonych w rejestratorze danych nie należy modyfikować Aplikacji Ramzes do nowszej wersji.


Import ze wskazanego katalogu

Po wskazaniu katalogu można zaimportować z niego dane do programu księgowego. Operacja jest inicjowana użyciem przycisku [image] 8. Domyślnie proponowany jest ostatnio wskazywany katalog.

Poprawnie zakończony eksport kończy się komunikatem:

W przypadku importowania w wersji demonstracyjnej pojawi się komunikat dotyczący ograniczenia importu do dwóch dokumentów.

W przypadku stwierdzenia błędów dot. niepoprawnych danych, niepoprawnej wersji lub próby ponownego importu pojawią się stosowne komunikaty:

Program kontroluje próbę zaimportowania dokumentu, który już istnieje w ewidencji. W takim wypadku pojawia się stosowny komunikat:

Przy próbie wczytania paczki importowej na innej wersji niż była tworzona pojawia się komunikat:

Istnieje mozliwość dołaczenia takiej paczki w ramach usług serwisowych, po przesłaniu archiwum (3 pliki) i złożeniu zamówienia.


Uruchomienie programu Rejestrator

Po wykonaniu eksportu w programie księgowym w wskazanym folderze znajdują się program Rejestrator.exe oraz dane dotyczące firmy.

Po uruchomieniu programu pojawi się okno główne programu Rejestrator.exe oraz informacja:


Menu przycisków

Poniżej menu głównego wyświetlone są dane dotyczące aktualnej daty systemowej, menu przycisków (ikony ułatwiające dostęp do wybranych poleceń programu) oraz informacja, który z Użytkowników jest aktualnie zalogowany jako Operator.

Dzięki takiej lokalizacji możliwe jest wygodne wybranie przy pomocy myszki często używanych funkcji.


Menu przycisków klawiszy funkcyjnych

 Top Previous

W dolnej części ekranu znajduje się pasek przycisków klawiszy funkcyjnych:

Warto zwrócić uwagę na fakt, że klawisz [image] 8 – Kalkulator jest dostępny nawet wtedy, gdy przycisk [image] 8 jest nieaktywny, co umożliwia wykonanie dodatkowych obliczeń podczas wprowadzania dokumentu.

Główne menu programu jest typowym menu rozwijalnym o następującej strukturze:

W programie Rejestrator.exe są dostępne funkcje znane z poszczególnych programów księgowych i opisane w ich dokumentacji.


Eksport i Import w programie księgowym

W †Menu programu†Narzędzia† udostępniono †rejestrator dokumentów†.

Funkcja pozwala na wykonanie eksportu i importu danych i programu Rejestrator.exe pomiędzy wybranym katalogiem a programem księgowym. Zaleca się wskazywanie folderu na urządzeniu zewnętrznym. Może to być np. pendrive ale równie dobrze może to być katalog na dysku lokalnym, który będzie pakowany i rozpakowywany a sama wymiana będzie miała miejsce np. poprzez przesłanie programem pocztowym.

W celu zwiększenia bezpieczeństwa do korzystania z tej funkcji uprawniony jest użytkownik będący Administratorem czyli pierwszym użytkownikiem z listy użytkowników.


Menu główne

Polecenia menu głównego umieszczone są w poziomym pasku w górnej części okna:

Można je wykonywać zarówno przy pomocy myszy wskazując odpowiednią pozycję, jak i przy użyciu klawiatury.

W zależności od konfiguracji programu, niektóre pozycje menu mogą mieć zmieniona numerację albo być niewidoczne.


Okno główne programu

Główne okno programu zawiera elementy typowe dla Alikacji Ramzes.